import _Button from "antd/es/button";
import _extends from "@babel/runtime/helpers/extends";
import React, { forwardRef } from 'react';
var Button = function Button(props, ref) {
  var _props$href;
  var innerProps = {};
  if (!((_props$href = props.href) !== null && _props$href !== void 0 && _props$href.trim()) || props.__designMode === 'design') {
    // 解决低代码编辑器中按钮设置href属性造成按钮点击重定向问题
    innerProps.href = undefined;
  }
  return /*#__PURE__*/React.createElement(_Button, _extends({}, props, innerProps, {
    ref: ref
  }));
};
export default /*#__PURE__*/forwardRef(Button);